Subject: Re: MPC8641D PEX: programming OWBAR in Endpoint mode?

From: "tiejun.chen" <[email-masked]>
Date: Sun, 26 Sep 2010 18:14:33 +0800

David Hagood wrote:
> On Sat, 2010-09-25 at 17:46 +0800, tiejun.chen wrote:
>> As a summary you have no any issue to access InBound/BAR/LAW.
> 
> Correct: full access to the inbound.
>> And I remember there is only one
>> requirement to OutBound, and that is the window address should be aligned based
>> on the size from OWS. Are you sure?
> Yes. As my first test I've been using 4k and 64k sizes, aligned on 16M
> boundaries.
>> And did you try to configure OutBound REGS when RC mode? If so I'm afraid we may
>> miss some errata on EP.
> In RC mode the built-in drivers take over.

Can you confirm the build-in driver can write/read OutBound correctly on your
target?

-Tiejun